Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.property.basic
Class BasicPropertyFactory

    java.lang.Object
      org.modeshape.graph.property.basic.BasicPropertyFactory

All Implemented Interfaces:
  PropertyFactory

Direct Known Subclasses:
  SystemPropertyFactory

    @Immutable
    public class BasicPropertyFactory

extends Object
implements PropertyFactory

A basic `PropertyFactory` implementation.

Constructor Summary
`BasicPropertyFactory(ValueFactories valueFactories)`

Method Summary
`Property` | `create(Name name, Iterable<?> values)` Create a property with the supplied name and values
`Property` | `create(Name name, Iterator<?> values)` Create a property with the supplied name and values
`Property` | `create(Name name, Object... values)` Create a property with the supplied name and values
`Property` | `create(Name name, Path value)` Create a property with the supplied name and `Path` value.
`Property` | `create(Name name, PropertyType desiredType, Iterable<?> values)` Create a property with the supplied name and values
`Property` | `create(Name name, PropertyType desiredType, Iterator<?> values)` Create a property with the supplied name and values
`Property` | `create(Name name, PropertyType desiredType, Object... values)` Create a property with the supplied name and values

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicPropertyFactory

    public BasicPropertyFactory(ValueFactories valueFactories)

Parameters:
  `valueFactories` - the value factories
Throws:
  `IllegalArgumentException` - if the reference to the value factories is null

Method Detail

### create

    public Property create(Name name,
                           Path value)

  Create a property with the supplied name and `Path` value. This method is provided because Path implements Iterable<Segment>.

  Specified by:
    `create` in interface `PropertyFactory`
  Parameters:
    `name` - the property name; may not be null
    `value` - the path value
  Returns:
    the resulting property
  See Also:
    `PropertyFactory.create(org.modeshape.graph.property.Name, org.modeshape.graph.property.Path)`

### create

    public Property create(Name name,
                           Iterable<?> values)

  Create a property with the supplied name and values

  Specified by:
    `create` in interface `PropertyFactory`
  Parameters:
    `name` - the property name; may not be null
    `values` - the values
  Returns:
    the resulting property

### create

    public Property create(Name name,
                           Iterator<?> values)

  Create a property with the supplied name and values

  Specified by:
    `create` in interface `PropertyFactory`
  Parameters:
    `name` - the property name; may not be null
    `values` - the values
  Returns:
    the resulting property

### create

    public Property create(Name name,
                           Object... values)

  Create a property with the supplied name and values

  Specified by:
    `create` in interface `PropertyFactory`
  Parameters:
    `name` - the property name; may not be null
    `values` - the values
  Returns:
    the resulting property

### create

    public Property create(Name name,
                           PropertyType desiredType,
                           Object... values)

  Create a property with the supplied name and values

  Specified by:
    `create` in interface `PropertyFactory`
  Parameters:
    `name` - the property name; may not be null
    `desiredType` - the type that the objects should be converted to; if null, they will be used as is
    `values` - the values
  Returns:
    the resulting property

### create

    public Property create(Name name,
                           PropertyType desiredType,
                           Iterable<?> values)

  Create a property with the supplied name and values

  Specified by:
    `create` in interface `PropertyFactory`
  Parameters:
    `name` - the property name; may not be null
    `desiredType` - the type that the objects should be converted to; if null, they will be used as is
    `values` - the values
  Returns:
    the resulting property

### create

    public Property create(Name name,
                           PropertyType desiredType,
                           Iterator<?> values)

  Create a property with the supplied name and values

  Specified by:
    `create` in interface `PropertyFactory`
  Parameters:
    `name` - the property name; may not be null
    `desiredType` - the type that the objects should be converted to; if null, they will be used as is
    `values` - the values
  Returns:
    the resulting property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.